# Generated by Django 2.1.1 on 2018-09-29 10:52

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [("common", "0009_mail_templates")]

    operations = [
        migrations.AlterField(
            model_name="configuration",
            name="address",
            field=models.TextField(
                blank=True,
                max_length=500,
                null=True,
                verbose_name="Association address",
            ),
        ),
        migrations.AlterField(
            model_name="configuration",
            name="backoffice_mail",
            field=models.EmailField(
                blank=True,
                max_length=100,
                null=True,
                verbose_name="E-mail address for notifications",
            ),
        ),
        migrations.AlterField(
            model_name="configuration",
            name="currency",
            field=models.CharField(
                blank=True,
                help_text="E.g. EUR",
                max_length=3,
                null=True,
                verbose_name="Currency",
            ),
        ),
        migrations.AlterField(
            model_name="configuration",
            name="language",
            field=models.CharField(
                blank=True,
                choices=[
                    ("af", "Afrikaans"),
                    ("ar", "Arabic"),
                    ("ast", "Asturian"),
                    ("az", "Azerbaijani"),
                    ("bg", "Bulgarian"),
                    ("be", "Belarusian"),
                    ("bn", "Bengali"),
                    ("br", "Breton"),
                    ("bs", "Bosnian"),
                    ("ca", "Catalan"),
                    ("cs", "Czech"),
                    ("cy", "Welsh"),
                    ("da", "Danish"),
                    ("de", "German"),
                    ("dsb", "Lower Sorbian"),
                    ("el", "Greek"),
                    ("en", "English"),
                    ("en-au", "Australian English"),
                    ("en-gb", "British English"),
                    ("eo", "Esperanto"),
                    ("es", "Spanish"),
                    ("es-ar", "Argentinian Spanish"),
                    ("es-co", "Colombian Spanish"),
                    ("es-mx", "Mexican Spanish"),
                    ("es-ni", "Nicaraguan Spanish"),
                    ("es-ve", "Venezuelan Spanish"),
                    ("et", "Estonian"),
                    ("eu", "Basque"),
                    ("fa", "Persian"),
                    ("fi", "Finnish"),
                    ("fr", "French"),
                    ("fy", "Frisian"),
                    ("ga", "Irish"),
                    ("gd", "Scottish Gaelic"),
                    ("gl", "Galician"),
                    ("he", "Hebrew"),
                    ("hi", "Hindi"),
                    ("hr", "Croatian"),
                    ("hsb", "Upper Sorbian"),
                    ("hu", "Hungarian"),
                    ("ia", "Interlingua"),
                    ("id", "Indonesian"),
                    ("io", "Ido"),
                    ("is", "Icelandic"),
                    ("it", "Italian"),
                    ("ja", "Japanese"),
                    ("ka", "Georgian"),
                    ("kab", "Kabyle"),
                    ("kk", "Kazakh"),
                    ("km", "Khmer"),
                    ("kn", "Kannada"),
                    ("ko", "Korean"),
                    ("lb", "Luxembourgish"),
                    ("lt", "Lithuanian"),
                    ("lv", "Latvian"),
                    ("mk", "Macedonian"),
                    ("ml", "Malayalam"),
                    ("mn", "Mongolian"),
                    ("mr", "Marathi"),
                    ("my", "Burmese"),
                    ("nb", "Norwegian Bokmål"),
                    ("ne", "Nepali"),
                    ("nl", "Dutch"),
                    ("nn", "Norwegian Nynorsk"),
                    ("os", "Ossetic"),
                    ("pa", "Punjabi"),
                    ("pl", "Polish"),
                    ("pt", "Portuguese"),
                    ("pt-br", "Brazilian Portuguese"),
                    ("ro", "Romanian"),
                    ("ru", "Russian"),
                    ("sk", "Slovak"),
                    ("sl", "Slovenian"),
                    ("sq", "Albanian"),
                    ("sr", "Serbian"),
                    ("sr-latn", "Serbian Latin"),
                    ("sv", "Swedish"),
                    ("sw", "Swahili"),
                    ("ta", "Tamil"),
                    ("te", "Telugu"),
                    ("th", "Thai"),
                    ("tr", "Turkish"),
                    ("tt", "Tatar"),
                    ("udm", "Udmurt"),
                    ("uk", "Ukrainian"),
                    ("ur", "Urdu"),
                    ("vi", "Vietnamese"),
                    ("zh-hans", "Simplified Chinese"),
                    ("zh-hant", "Traditional Chinese"),
                ],
                max_length=5,
                null=True,
                verbose_name="Language",
            ),
        ),
        migrations.AlterField(
            model_name="configuration",
            name="liability_interval",
            field=models.IntegerField(
                default=36,
                help_text="For which interval can you make members pay their outstanding fees?",
                verbose_name="Statute of limitations",
            ),
        ),
        migrations.AlterField(
            model_name="configuration",
            name="mail_from",
            field=models.EmailField(
                blank=True,
                max_length=100,
                null=True,
                verbose_name="E-mail address used as sender",
            ),
        ),
        migrations.AlterField(
            model_name="configuration",
            name="name",
            field=models.CharField(
                blank=True, max_length=100, null=True, verbose_name="Association name"
            ),
        ),
        migrations.AlterField(
            model_name="configuration",
            name="registration_form",
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name="configuration",
            name="url",
            field=models.CharField(
                blank=True, max_length=200, null=True, verbose_name="Association URL"
            ),
        ),
    ]
